TF_SignatureSchemeBase< INTFACE, BASE > Class Template Referenceabstract

Trapdoor Function (TF) Signature Scheme base class. More...

Inheritance diagram for TF_SignatureSchemeBase< INTFACE, BASE >:

## Public Member Functions

size_t | SignatureLength () const
size_t | MaxRecoverableLength () const
size_t | MaxRecoverableLengthFromSignatureLength (size_t signatureLength) const
bool | IsProbabilistic () const
bool | AllowNonrecoverablePart () const
bool | RecoverablePartFirst () const

## Detailed Description

### template<class INTFACE, class BASE>
class TF_SignatureSchemeBase< INTFACE, BASE >

Trapdoor Function (TF) Signature Scheme base class.

Template Parameters

  INTFACE | interface
  BASE | base class

Definition at line 483 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h